
#ifdef PALMOS_35

#include <PalmOS.h>
#include <PalmCompatibility.h>

#else

#include <Common.h>
#include <System/SysTraps.h>
#include <System/DataMgr.h>
#include <System/SystemMgr.h>
#include <System/Preferences.h>
#include <System/DateTime.h>
#include <System/ErrorMgr.h>
#include <System/SerialMgr.h>
#include <System/StringMgr.h>
#include <System/SysEvtMgr.h>
#include <System/TimeMgr.h>
#include <System/Unix/unix_stdio.h>
#include <UI/Rect.h>
#include <UI/Font.h>
#include <UI/Window.h>
#include <UI/Event.h>
#include <UI/Control.h>
#include <UI/Field.h>
#include <UI/List.h>
#include <UI/ScrollBar.h>
#include <UI/Table.h>
#include <UI/Form.h>
#include <UI/Menu.h>

#include <NewTypes.h>
#endif


#include "graph.h"
#include "nmeadb.h"
#include "waypoints.h"

#include "gui-rc.h"
#include "gui.h"


/* application id */
#define TZGPSAppID    'TZGP'


/* error codes */
#define ERR_CREATE_DB  50
#define ERR_OPEN_DB  60

extern UInt32 last_fix_utc;  /* time, in seconds UTC, of the last valid fix */
extern char last_fix_nmea[81];  /* NMEA string of last fix (GLL or GGA only) */

extern UInt16 maxR;
extern UInt8 highres;

/* Last fix, expressed in a different way. */
extern int lgtdeg, lgtmin, lgtfrac; /* longitude degrees, minutes, fraction */
extern int latdeg, latmin, latfrac; /* latitude degrees, minutes, fraction */
extern Int16 lat, lgt; /* degree-minutes */
extern char latns, lgtew;

extern int day, month, year;        /* UTC date */
extern int hour, min, sec, secfrac; /* UTC time */

extern int altitude, altfrac, heading, speed, headingfrac, speedfrac;
extern char altunit;

/* quality flags */
extern char qual_gll;
extern char qual_gga;
extern char qual_gsa;

/* mesage recieved flag bits */
extern int rcvd_gll;   /* received long/lat/time triplet */
extern int rcvd_gga;   /* received an altitude recently */
extern int rcvd_rmc;   /* received date/speed/heading recently */
extern int rcvd_sats;  /* received satelite positions recently */

/* satelite stuff */
struct satstat_s {
  int num, elev, azim, sn, fix;
};
typedef struct satstat_s satstat;

extern satstat sats[12];

extern int totsats, fixsats;

extern char battery[5];  /* battery life string (Magellan GPS) */

Int32 get_data_age (void);
UInt32 get_now_utc (void);

/* ========================== END OF FILE ============================ */
